Bug 883470 - Merge python-virtinst codebase into virt-manager repository
Summary: Merge python-virtinst codebase into virt-manager repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Martin Kletzander
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 910172 912615 916878 1017423
TreeView+ depends on / blocked
 
Reported: 2012-12-04 16:52 UTC by Daniel Berrangé
Modified: 2014-06-17 23:58 UTC (History)
6 users (show)

Fixed In Version: virt-manager-0.10.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:37:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Daniel Berrangé 2012-12-04 16:52:08 UTC
Description of problem:
Upstream, the intent is to merge the python-virtinst codebase into virt-manager, and cease distributing a separate python-virtinst package. The reason for this is to allow us freedom to refactor virt-manager & virt-install without need to maintain API compatibility.

Given this is imminent upstream, it is seriously undesirable to ship & support the separate virtinst/virt-manager packages in RHEL-7 for the next 10 years. This would mean we were effectively shipping a codebase which is unmaintained upstream.

Comment 1 Dave Allan 2012-12-06 16:48:14 UTC
Dan, what's the status of this work upstream?

Comment 2 Martin Kletzander 2013-06-03 12:43:16 UTC
The code was merged upstream, we're working on polishing details before moving to POST.

Comment 3 Martin Kletzander 2013-07-09 06:33:28 UTC
The merge was finished upstream and picked up in virt-manager-0.10.0.

Comment 4 tingting zheng 2013-07-15 06:41:11 UTC
Tested with:
virt-manager-0.10.0-1.el7.noarch

Checked the packages for virt-manager,there are:
virt-install-0.10.0-1.el7.noarch.rpm 
virt-manager-0.10.0-1.el7.noarch.rpm 
virt-manager-common-0.10.0-1.el7.noarch.rpm 

So the code of python-virtinst has been included in virt-manager,move the bug to VERIFIED.

Comment 5 Ludek Smid 2014-06-13 10:37:07 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.